Package: org.gradle.tooling.model

## [Java] Interface GradleTask

- org.gradle.tooling.model.Task

- All Superinterfaces:
    Launchable, Task

  Represents a task which is executable by Gradle.

  Since:
    1.0-milestone-5

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `GradleProject` | `getProject()` Returns the Gradle project this task is defined in.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Task` | `getDescription, getGroup, getName, getPath, getProject`
    `interface Launchable` | `getDescription, getDisplayName, isPublic`

- - ### Method Detail

    - #### public GradleProject getProject()

      Returns the Gradle project this task is defined in.

      Returns:
        The element.
      Since:
        1.0-milestone-5